LALAPPS_RING(1)

NAME
lalapps_ring - filters data through a bank of ringdown filters

SYNOPSIS
lalapps_ring [--help] [--version] [--verbose] [--gps-start-time startsec] [--gps-start-time-ns startnan] [--gps-end-time endsec] [--gps-end-time-ns endnan] [--channel-name channel] [--calibration-frame-cache calcache] [--response-file respfile] [--data-frame-cache datcache] [--frame-files pattern] [--frame-path path] [--bank-start-template bmin] [--bank-end-template bmax] [--output-file outfile] [--sample-rate srate] [--user-tag tag] [--userTag tag] [--filter-params parfile] [--filter-params parfile] --filter-segsz npts [--filter-speclen len] --filter-flow flow --filter-fmin fmin --filter-fmax fmax --filter-qmin qmin --filter-qmax qmax --filter-maxmm maxmm --filter-thresh thrsh [--filter-scale scale]

DESCRIPTION

lalapps_ring uses matched filtering to search for ringdown waveforms in gravitational wave data.

OPTIONS

--help
    Print a help message.

--version
    Print the version information.

--verbose
    Verbose output.

--gps-start-time startsec
    Analyze data starting at GPS time startsec seconds. [Default is to start at the beginning of available data.]

--gps-start-time-ns startnan
    Analyze data starting startnan nano-seconds after startsec. [Default is to start at the beginning of available data.]

--gps-end-time endsec
    Analyze data ending at GPS time endsec seconds. [Default is to analyze 64 seconds of data after the start time.]

--gps-end-time-ns endnan
    Analyze data ending endnan nano-seconds after endsec. [Default is to analyze 64 seconds of data after the start time.]

--channel-name channel
    Analyze the data channel channel. [Default is H1:LSC-AS_Q.]

--calibration-frame-cache calcache
    Get and update calibration information using the frame files specified in the cache file calcache. [Default is to used a fixed ascii response function.]

--response-file respfile
    Get calibration information from fixed response function ascii file respfile. [Default is response.asc.]

--data-frame-cache datcache
    Get data to analyze from frame files specified in the cache file datcache. [Default is to use specified frame files.]

--frame-files pattern
    Specify the frame files containing the data to analyze using the pattern pattern. [Default is *.gwf.]

--frame-path path
    Specify the directory path which containing the frame files containing the data to analyze. [Default is ..]

--bank-start-template bmin
    Specify the first template in the template bank to filter. [Default is 0, which is the first template.]

--bank-end-template bmax
    Specify the last template in the template bank to filter. [Default is the last template in the bank.]

--output-file outfile
    Specify the output file to write event results. [Default is IFO-RING-tstart-duration.xml.]

--sample-rate srate
    Specify the desired sampling rate srate in Hz; the raw data will be resampled to this sampling rate if it is not already at this sampling rate. [Default is to use the raw sampling rate.]

--user-tag tag

--userTag tag
    Specify an arbitrary user tag.

--filter-params parfile
    Read filter parameters from file parfile. [Default is to read parameters from command line.]

--filterfilterparam value
    Specify the appropriate filter parameter filterparam to value. Possible options are:

    --filter-segsz npts
        Set filter parameter -segsz to value npts.

    --filter-speclen len
        Set filter parameter -speclen to value len.

    --filter-flow flow
        Set filter parameter -flow to value flow.

    --filter-fmin fmin
        Set filter parameter -fmin to value fmin.

    --filter-fmax fmax
        Set filter parameter -fmax to value fmax.

    --filter-qmin qmin
        Set filter parameter -qmin to value qmin.

    --filter-qmax qmax
        Set filter parameter -qmax to value qmax.

    --filter-maxmm maxmm
        Set filter parameter -maxmm to value maxmm.

    --filter-thresh thrsh
        Set filter parameter -thresh to value thrsh.

    --filter-scale scale
        Set filter parameter -scale to value scale.

FILTER PARAMETERS
The filter parameters can be specified either on the command line as --filter-type options or in a resource file that is input using the --filter-params option. As a resource file, each option-value pair should have their own line.

-segsz npts
    Set the size of segments analyzed to npts points.

-speclen len
    Set the size of inverse spectrum truncation to len points [0].

-flow flow
    Set the low frequency cutoff to flow Hz.

-fmin fmin
    Set the minimum frequency for the bank to fmin Hz.

-fmax fmax
    Set the maximum frequency for the bank to fmax Hz.

-qmin qmin
    Set the minimum quality for the bank to qmin.

-qmax qmax
    Set the maximum quality for the bank to qmax.

-maxmm maxmm
    Set the maximum allowed mismatch for the bank to maxmm.

-thresh thresh
    Set the ringdown event signal-to-noise ratio threshold to thresh.

-scale scale
    Scale the response function by a dynamic range factor of scale.

ENVIRONMENT

LAL_DEBUG_LEVEL
    Default LAL debug level to use.

AUTHOR
Jolien Creighton